SOELIM(1)

NAME
soelim - eliminate .so's from nroff input

SYNOPSIS
soelim [file] ...

DESCRIPTION
Soelim reads the specified files or the standard input and performs the textual inclusion implied by the nroff directives of the form

    .so somefile

when they appear at the beginning of input lines. This is useful since programs such as tbl do not normally do this; it allows the placement of individual tables in separate files to be run as a part of a large document.

Note that inclusion can be suppressed by using ‘'’ instead of ‘.’, i.e.

    'so /opt/local/var/macports/build/heirloom-doctools-fcf38733/work/destroot/opt/local/share/heirloom-doctools/tmac/s

A sample usage of soelim would be

    soelim exum?.n | tbl | nroff -ms | col | lp

SEE ALSO
more(1)

NOTES
The format of the source commands must involve no strangeness - exactly one blank must precede and no blanks follow the file name.

Written by William Joy.